Skip to content

Get a specific key result

Request

Retrieves detailed information about a specific key result by its UUID

Path
idstringrequired

Key result UUID

GET
/rest/v2/key_results/{id}
curl -i -X GET \
  'https://api.rhythms.ai/rest/v2/key_results/{id}'

Responses

Success

Headers
any
Body*/*
dataobjectrequired
Response
{
  "data": {
    "type": "string",
    "record": {
      "uuid": "string",
      "type": "string",
      "title": "string",
      "description": null,
      "start_date": "string",
      "end_date": "string",
      "goal_type": "aspirational",
      "time_period_uuid": "string",
      "current_metric_uuid": null,
      "creator_uuid": "string",
      "last_checkin_date": null,
      "score": null,
      "current_progress": null,
      "current_value": null,
      "current_status": "not_started",
      "source_uuid": null,
      "source_type": null,
      "path": null,
      "searchable_content": null,
      "progress_mode": "manual",
      "value_updated_at": null,
      "status_updated_at": null,
      "value_updated_by_uuid": null,
      "status_updated_by_uuid": null,
      "visibility": "public",
      "ai_rollup_enabled": false,
      "data_sources_count": 0,
      "discarded_at": null,
      "discarded_by_uuid": null,
      "short_id_uuid": null,
      "archived_at": null,
      "archived_by_uuid": null,
      "short_id": "string",
      "owner_uuids": [
        "string"
      ],
      "target": null,
      "unit": null,
      "metric_type": null,
      "parent_links": [
        {
          "parent_uuid": "string",
          "contribution_percent": 0
        }
      ],
      "visible_entities": [
        {
          "entity_type": "User",
          "entity_uuid": "string",
          "mode": "direct"
        }
      ]
    },
    "checks": null,
    "access_source": null
  }
}